Уязвимость BDU:2020-04085

Дата: 12.09.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-04085.

Наименование уязвимости: Уязвимость программного обеспечения для СУБД SQLite, связанная с ошибками при обработке чисел, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость программного обеспечения для СУБД SQLite связана с ошибками при обработке чисел. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система ООО «РусБИТех-Астра» Astra Linux 8.1 «Ленинград» | СУБД Hipp, Wyrick & Company, Inc. SQLite 3.30.1 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Прикладное ПО информационных систем Oracle Corp. MySQL Workbench до 8.0.19 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 | Ubuntu 1910 | Astra Linux 81 «Ленинград» | Ubuntu 2004 LTS |
Дата выявления: 12.09.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для SQLite:
Обновление программного обеспечения до 3.32.3-1 или более поздней версии

Для Debian/GNU Linux:
Обновление программного обеспечения (пакета sqlite3) до 3.31.1-5 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета sqlite3) до 3.31.1-5 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4394-1

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpuapr2020.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-19603.

Тип ошибки CWE: CWE-189
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.sqlite.org/
https://nvd.nist.gov/vuln/detail/CVE-2019-19603
https://security-tracker.debian.org/tracker/CVE-2019-19603
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81
https://ubuntu.com/security/notices/USN-4394-1
https://www.oracle.com/security-alerts/cpuapr2020.html

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *